EZCart Docs
ApiV1StoreProductsProductid

Get a single product by ID with all variants

Get a single product by ID with all variants.

GET
/v1/store/products/{productId}

Path Parameters

productId*string

Response Body

application/json

curl -X GET "https://api-pub.ezcart.io/v1/store/products/string"
{
  "id": "string",
  "slug": {},
  "name": "string",
  "description": "string",
  "sku": "string",
  "originalPrice": 0,
  "salePrice": {},
  "thumbnail": {},
  "images": [
    "string"
  ],
  "tags": [
    "string"
  ],
  "productType": {},
  "unitName": {},
  "attributes": {},
  "seo": {
    "metaTitle": {},
    "metaDescription": {},
    "metaKeywords": [
      "string"
    ],
    "ogImage": {}
  },
  "sizeGuide": {},
  "categories": [
    {
      "id": "string",
      "name": "string",
      "slug": "string"
    }
  ],
  "variants": [
    {
      "id": "string",
      "originalPrice": 0,
      "salePrice": {},
      "inStock": true,
      "lowStock": true,
      "images": [
        "string"
      ],
      "optionValues": {
        "property1": "string",
        "property2": "string"
      }
    }
  ],
  "variantOptions": [
    {
      "key": "string",
      "values": [
        "string"
      ],
      "position": 0
    }
  ],
  "createdAt": "2019-08-24T14:15:22Z"
}